/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.InstiFinanceiraDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaContaBancaria;
import com.rjconsultores.ventaboletos.entidad.InstiFinanceira;
import com.rjconsultores.ventaboletos.service.InstiFinanceiraService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("ptovtaBancoService")
public class InstiFinanceiraServiceImpl implements InstiFinanceiraService {

    @Autowired
    private InstiFinanceiraDAO ptovtaBancoDAO;

    public List<InstiFinanceira> obtenerTodos() {
        return ptovtaBancoDAO.obtenerTodos();
    }

    public InstiFinanceira obtenerID(Integer id) {
        return ptovtaBancoDAO.obtenerID(id);
    }

    @Transactional
    public InstiFinanceira suscribir(InstiFinanceira entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaBancoDAO.suscribir(entidad);
    }

    @Transactional
    public InstiFinanceira actualizacion(InstiFinanceira entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return ptovtaBancoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(InstiFinanceira entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        ptovtaBancoDAO.actualizacion(entidad);
    }

    public List<InstiFinanceira> buscar(String nome) {
        return ptovtaBancoDAO.buscar(nome);
    }

	@Override
	public List<EmpresaContaBancaria> buscarContasBancariasPorIdEmpresa(Integer empresaId) {
		return ptovtaBancoDAO.buscarContasBancariasPorIdEmpresa(empresaId);
	}

    
}
